<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Education_Hub
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php $site_design = education_hub_get_option( 'site_design' ); ?>

	<?php
		if ( 'edification-hub' == $site_design ) {
			/**
			* Hook - education_hub_search_result_image.
			*
			* @hooked education_hub_add_image_in_search_result_display -  10
			*/
			do_action( 'education_hub_search_result_image' );
		}
	?>

	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php education_hub_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-summary">
		<?php $site_design = education_hub_get_option( 'site_design' ); ?>

		<?php
			if ( 'edification-hub' !== $site_design ) {
				/**
				* Hook - education_hub_search_result_image.
				*
				* @hooked education_hub_add_image_in_search_result_display -  10
				*/
				do_action( 'education_hub_search_result_image' );
			}
		?>
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<footer class="entry-footer">
		<?php education_hub_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->

